Topic: Troubling installing MDB pro thru npm

peaiampea priority asked 8 months ago


Expected behavior Install pro5 succesfully thru npm

npm install git+https://oauth2:@git.mdbootstrap.com/mdb/angular/ng-uikit-pro-standard.git --save

Actual behavior

Getting errors telling me could not resolve dependency

Resources (screenshots, code snippets etc.)

npm ERR! ERESOLVE unable to resolve dependency tree

npm ERR! Found: @angular/animations@13.2.6

npm ERR! node_modules/@angular/animations

npm ERR! @angular/animations@"~13.2.0" from the root project

npm ERR! Could not resolve dependency:

npm ERR! peer @angular/animations@"^12.0.0" from ng-uikit-pro-standard@12.2.0

npm ERR! node_modules/ng-uikit-pro-standard


Arkadiusz Idzikowski staff answered 8 months ago


@peaiampea You probably try to install the latest version of ng-uikit-pro-standard (12.2.0) to an application with Angular 13. The v12.2.0 does not support Angular 13 yet, we are currently working on an update that should be available next week.



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Answered

Specification of the issue

  • User: Priority
  • Premium support: Yes
  • Technology: MDB Angular
  • MDB Version: MDB5 2.0.0
  • Device: Mac
  • Browser: Chome
  • OS: mac monterey
  • Provided sample code: No
  • Provided link: Yes